unit gaugedit;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, Buttons, ExtCtrls;

type
  TForm_GaugeEdit = class(TForm)
    ColorDialog_Gauge: TColorDialog;
    BitBtn1: TBitBtn;
    GroupBox1: TGroupBox;
    SH_Color: TShape;
    Button_Color: TButton;
    Button_BackColor: TButton;
    Button_ForeColor: TButton;
    SH_BackColor: TShape;
    Sh_ForeColor: TShape;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    SpinEdit_Max: TSpinEdit;
    Label2: TLabel;
    SpinEdit_Min: TSpinEdit;
    Label3: TLabel;
    SpinEdit_Prog: TSpinEdit;
    BitBtn2: TBitBtn;
    procedure Button4Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure Button_ColorClick(Sender: TObject);
    procedure Button_BackColorClick(Sender: TObject);
    procedure Button_ForeColorClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_GaugeEdit: TForm_GaugeEdit;

implementation

{$R *.DFM}

procedure TForm_GaugeEdit.Button4Click(Sender: TObject);
begin
     close;
end;

procedure TForm_GaugeEdit.BitBtn2Click(Sender: TObject);
begin
     Close;
end;

procedure TForm_GaugeEdit.Button_ColorClick(Sender: TObject);
begin
     ColorDialog_Gauge.Color := Sh_Color.Brush.Color;
     If ColorDialog_Gauge.Execute then
        Sh_Color.Brush.Color := ColorDialog_Gauge.Color;
end;

procedure TForm_GaugeEdit.Button_BackColorClick(Sender: TObject);
begin
     ColorDialog_Gauge.Color := Sh_BackColor.Brush.Color;
     If ColorDialog_Gauge.Execute then
        Sh_BackColor.Brush.Color := ColorDialog_Gauge.Color;
end;

procedure TForm_GaugeEdit.Button_ForeColorClick(Sender: TObject);
begin
     ColorDialog_Gauge.Color := Sh_ForeColor.Brush.Color;
     If ColorDialog_Gauge.Execute then
        Sh_ForeColor.Brush.Color := ColorDialog_Gauge.Color;
end;

end.
